INIT_QUADTREE(4)
CREATE_RECTANGLE(LEIA,2,2,2,2)
CREATE_RECTANGLE(YODA,2,14,1,1)
CREATE_RECTANGLE(LUKE,8,8,2,2)
CREATE_RECTANGLE(C3PO,8,13,2,1)
LIST_RECTANGLES()
CREATE_RECTANGLE(HAN,13,2,3,2)
CREATE_RECTANGLE(R2D2,13,8,1,1)
CREATE_RECTANGLE(OBIWAN,14,12,2,3)
CREATE_RECTANGLE(JABBA,4,5,4,1)
CREATE_RECTANGLE(VADER,11,5,2,2)
CREATE_RECTANGLE(WEDGE,16,6,2,1)
LIST_RECTANGLES()
TRACE ON
INSERT(WEDGE)
INSERT(YODA)
SEARCH_POINT(3,13)
SEARCH_POINT(2,13)
INSERT(LEIA)
INSERT(C3PO)
RECTANGLE_SEARCH(VADER)
INSERT(LUKE)
RECTANGLE_SEARCH(VADER)
INSERT(HAN)
RECTANGLE_SEARCH(VADER)
INSERT(R2D2)
INSERT(OBIWAN)
DELETE_POINT(6,2)
DELETE_POINT(3,2)
DELETE_RECTANGLE(HAN)
DELETE_RECTANGLE(OBIWAN)
SEARCH_POINT(2,14)
SEARCH_POINT(10,12)
MOVE(YODA,9,-1)
SEARCH_POINT(2,14)
SEARCH_POINT(10,12)